﻿using Microsoft.Xna.Framework;

namespace MicroStar
{
    /// <summary>
    /// Force to push particles in a particular direction
    /// </summary>
    public class Directional : Force
    {
        internal override void Initialize(ref Particle particle)
        {
            if (particle != null)
                particle.Velocity = Velocity;
        }

        /// <summary>
        /// Gets or sets the velocity the force will move particles at
        /// </summary>
        public Vector2 Velocity { get; set; }
    }
}
