namespace MicroStar
{
    /// <summary>
    /// Abstract class for defining emmission forces
    /// </summary>
    public abstract class Force
    {
        /// <summary>
        /// Constructor
        /// </summary>
        protected Force()
        {
            ParticleSpeed = 1f;
        }

        internal abstract void Initialize(ref Particle particle);

        /// <summary>
        /// Gets or sets the speed particles move when emitted
        /// </summary>
        public float ParticleSpeed { get; set; }
    }
}
