using Microsoft.Xna.Framework;

namespace MicroStar
{
    /// <summary>
    /// Modifier to apply friction to individual particles
    /// </summary>
    public class Friction : Modifier
    {
        private float friction;

        internal override void Update(float particleAge, double totalMilliseconds, double elapsedSeconds, Particle particle)
        {
            particle.Velocity *= friction;
        }

        /// <summary>
        /// Gets or sets the friction coefficient.  Value between 0 and 1
        /// </summary>
        public float FrictionCoefficient
        {
            get { return friction; }
            set { friction = MathHelper.Clamp((1 - value), 0, 1); }
        }
    }
}